Package: org.gradle.api.tasks.javadoc

## [Java] Class Link

- org.gradle.api.tasks.javadoc.Groovydoc.Link

- All Implemented Interfaces and Traits:
    Serializable

      public static class Groovydoc.Link

  A Link class represent a link between groovydoc/javadoc output and url.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Groovydoc.Link (String url, String... packages)` Constructs a `Link`.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(Object o)`
    `List<String>` | `getPackages()` Returns a list of package prefixes to be linked with an external site.
    `String` | `getUrl()` Returns the base url for the external site.
    `int` | `hashCode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public Groovydoc.Link(String url, String... packages)

      Constructs a `Link`.

      Parameters:
        `url` - Base URL of external site
        `packages` - list of package prefixes

  - ### Method Detail

    - #### @Override public boolean equals(Object o)

    - #### public List<String> getPackages()

      Returns a list of package prefixes to be linked with an external site.

    - #### public String getUrl()

      Returns the base url for the external site.

    - #### @Override public int hashCode()